
TYPO3.Neos - Bug # 54480

Status: Resolved Priority: Must have
Author: Rens Admiraal Category:
Created: 2013-12-17 Assigned To:
Updated: 2013-12-23 Due date:
Subject: Opening shortcuts with a configured layout fails
Description

When a shortcut is opened in the tree and a layout is active (by inheritance for example) the backend throws an "Could not read page
metadata from response" and makes it impossible to edit the shortcut afterwards.

Associated revisions
Revision 504bdf68 - 2013-12-23 23:07 - Rens Admiraal

[BUGFIX] Shortcut rendering is broken in combination with layout

If a layout is applied to a shortcut because of a layout set in the
rootpath of the node, then openening the shortcut in the navigate
component fails with a 'Could not read metadata from page'.

This change moves the rendering of the Shortcut from the PrimaryContent
prototype to the root TypoScript case object to fix this.

Change-Id: I343b4c639c4b4c91f586bc1b083c2ed2380dde82
Fixes: #54480
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26462
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Christian Mueller
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 03b431d2 - 2013-12-23 23:10 - Rens Admiraal

[BUGFIX] Shortcut rendering is broken in combination with layout

If a layout is applied to a shortcut because of a layout set in the
rootpath of the node, then openening the shortcut in the navigate
component fails with a 'Could not read metadata from page'.

This change moves the rendering of the Shortcut from the PrimaryContent
prototype to the root TypoScript case object to fix this.

Change-Id: I343b4c639c4b4c91f586bc1b083c2ed2380dde82
Fixes: #54480
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26553
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-12-17 15:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26462

#2 - 2013-12-17 16:26 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26462

#3 - 2013-12-17 16:42 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26462

#4 - 2013-12-23 23:10 - Gerrit Code Review

Patch set 1 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26553

#5 - 2013-12-23 23:10 - Gerrit Code Review

Patch set 2 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26553

#6 - 2013-12-23 23:35 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:03b431d2e29dffcb24fd8a9021bdfed5ee72c26e.
